OrcProto (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto

- java.lang.Object
- - org.apache.orc.OrcProto

-     public final class OrcProto
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrcProto.BinaryStatistics` Protobuf type `orc.proto.BinaryStatistics`
    `static interface` | `OrcProto.BinaryStatisticsOrBuilder`
    `static class` | `OrcProto.BloomFilter` Protobuf type `orc.proto.BloomFilter`
    `static class` | `OrcProto.BloomFilterIndex` Protobuf type `orc.proto.BloomFilterIndex`
    `static interface` | `OrcProto.BloomFilterIndexOrBuilder`
    `static interface` | `OrcProto.BloomFilterOrBuilder`
    `static class` | `OrcProto.BucketStatistics` Protobuf type `orc.proto.BucketStatistics`
    `static interface` | `OrcProto.BucketStatisticsOrBuilder`
    `static class` | `OrcProto.ColumnEncoding` Protobuf type `orc.proto.ColumnEncoding`
    `static interface` | `OrcProto.ColumnEncodingOrBuilder`
    `static class` | `OrcProto.ColumnStatistics` Protobuf type `orc.proto.ColumnStatistics`
    `static interface` | `OrcProto.ColumnStatisticsOrBuilder`
    `static class` | `OrcProto.CompressionKind` Protobuf enum `orc.proto.CompressionKind`
    `static class` | `OrcProto.DateStatistics` Protobuf type `orc.proto.DateStatistics`
    `static interface` | `OrcProto.DateStatisticsOrBuilder`
    `static class` | `OrcProto.DecimalStatistics` Protobuf type `orc.proto.DecimalStatistics`
    `static interface` | `OrcProto.DecimalStatisticsOrBuilder`
    `static class` | `OrcProto.DoubleStatistics` Protobuf type `orc.proto.DoubleStatistics`
    `static interface` | `OrcProto.DoubleStatisticsOrBuilder`
    `static class` | `OrcProto.FileTail` Protobuf type `orc.proto.FileTail`
    `static interface` | `OrcProto.FileTailOrBuilder`
    `static class` | `OrcProto.Footer` Protobuf type `orc.proto.Footer`
    `static interface` | `OrcProto.FooterOrBuilder`
    `static class` | `OrcProto.IntegerStatistics` Protobuf type `orc.proto.IntegerStatistics`
    `static interface` | `OrcProto.IntegerStatisticsOrBuilder`
    `static class` | `OrcProto.Metadata` Protobuf type `orc.proto.Metadata`
    `static interface` | `OrcProto.MetadataOrBuilder`
    `static class` | `OrcProto.PostScript` Protobuf type `orc.proto.PostScript`
    `static interface` | `OrcProto.PostScriptOrBuilder`
    `static class` | `OrcProto.RowIndex` Protobuf type `orc.proto.RowIndex`
    `static class` | `OrcProto.RowIndexEntry` Protobuf type `orc.proto.RowIndexEntry`
    `static interface` | `OrcProto.RowIndexEntryOrBuilder`
    `static interface` | `OrcProto.RowIndexOrBuilder`
    `static class` | `OrcProto.Stream` Protobuf type `orc.proto.Stream`
    `static interface` | `OrcProto.StreamOrBuilder`
    `static class` | `OrcProto.StringStatistics` Protobuf type `orc.proto.StringStatistics`
    `static interface` | `OrcProto.StringStatisticsOrBuilder`
    `static class` | `OrcProto.StripeFooter` Protobuf type `orc.proto.StripeFooter`
    `static interface` | `OrcProto.StripeFooterOrBuilder`
    `static class` | `OrcProto.StripeInformation` Protobuf type `orc.proto.StripeInformation`
    `static interface` | `OrcProto.StripeInformationOrBuilder`
    `static class` | `OrcProto.StripeStatistics` Protobuf type `orc.proto.StripeStatistics`
    `static interface` | `OrcProto.StripeStatisticsOrBuilder`
    `static class` | `OrcProto.TimestampStatistics` Protobuf type `orc.proto.TimestampStatistics`
    `static interface` | `OrcProto.TimestampStatisticsOrBuilder`
    `static class` | `OrcProto.Type` Protobuf type `orc.proto.Type`
    `static interface` | `OrcProto.TypeOrBuilder`
    `static class` | `OrcProto.UserMetadataItem` Protobuf type `orc.proto.UserMetadataItem`
    `static interface` | `OrcProto.UserMetadataItemOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.